# Class GetPaymentAccountsReply

#### Hierarchy

- unknown
  - GetPaymentAccountsReply

- Defined in src/protobuf/grpc_pb.d.ts:1850
- Defined in src/protobuf/grpc_pb.d.ts:1864

#####
Index

### Constructors

constructor

### Methods

addPaymentAccounts
clearPaymentAccountsList
getPaymentAccountsList
serializeBinary
setPaymentAccountsList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetPaymentAccountsReply(): GetPaymentAccountsReply

- #### Returns GetPaymentAccountsReply

  Inherited from jspb.Message.constructor

## Methods

### addPaymentAccounts

- addPaymentAccounts(value?: PaymentAccount, index?: number): PaymentAccount

- #### Parameters

  - ##### `Optional` value: PaymentAccount

  - ##### `Optional` index: number

  #### Returns PaymentAccount

  - Defined in src/protobuf/grpc_pb.d.ts:1854

### clearPaymentAccountsList

- clearPaymentAccountsList(): GetPaymentAccountsReply

- #### Returns GetPaymentAccountsReply

  - Defined in src/protobuf/grpc_pb.d.ts:1853

### getPaymentAccountsList

- getPaymentAccountsList(): PaymentAccount[]

- #### Returns PaymentAccount[]

  - Defined in src/protobuf/grpc_pb.d.ts:1851

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1856

### setPaymentAccountsList

- setPaymentAccountsList(value: PaymentAccount[]): GetPaymentAccountsReply

- #### Parameters

  - ##### value: PaymentAccount[]

  #### Returns GetPaymentAccountsReply

  - Defined in src/protobuf/grpc_pb.d.ts:1852

### toObject

- toObject(includeInstance?: boolean): GetPaymentAccountsReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetPaymentAccountsReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1857

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetPaymentAccountsReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetPaymentAccountsReply

  - Defined in src/protobuf/grpc_pb.d.ts:1860

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetPaymentAccountsReply, reader: BinaryReader): GetPaymentAccountsReply

- #### Parameters

  - ##### message: GetPaymentAccountsReply

  - ##### reader: BinaryReader

  #### Returns GetPaymentAccountsReply

  - Defined in src/protobuf/grpc_pb.d.ts:1861

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetPaymentAccountsReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetPaymentAccountsReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1859

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetPaymentAccountsReply): GetPaymentAccountsReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetPaymentAccountsReply

  #### Returns GetPaymentAccountsReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1858

Generated using TypeDoc